Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::BER_Bad_Tag Struct Reference

`#include <asn1_obj.h>`

Inheritance diagram for Botan::BER_Bad_Tag:

## Public Member Functions
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag)
| BER_Bad_Tag (const std::string &msg, ASN1_Tag tag1, ASN1_Tag tag2)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Exception For Incorrect BER Taggings

Definition at line 126 of file asn1_obj.h.

## Constructor & Destructor Documentation

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag
| ) |  |

Definition at line 23 of file asn1_obj.cpp.

23 :
24 BER_Decoding_Error(str + ": " + std::to_string(tag)) {}
Botan::BER_Decoding_Error::BER_Decoding_Error
BER_Decoding_Error(const std::string &)
Definition: asn1_obj.cpp:20
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47

Botan::BER_Bad_Tag::BER_Bad_Tag | ( | const std::string & | msg,
|  | ASN1_Tag | tag1,
|  | ASN1_Tag | tag2
| ) |  |

Definition at line 26 of file asn1_obj.cpp.

27 :
28 BER_Decoding_Error(str + ": " + std::to_string(tag1) + "/" + std::to_string(tag2)) {}
Botan::BER_Decoding_Error::BER_Decoding_Error
BER_Decoding_Error(const std::string &)
Definition: asn1_obj.cpp:20
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:47

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following files:

- src/lib/asn1/asn1_obj.h
- src/lib/asn1/asn1_obj.cpp